Subject: [TR] New hood

From: Joe Simcoe <[email-masked]>
Date: Sat, 6 Feb 2016 17:53:39 -0500

Bryan, (and anyone else)

  I have a number a new, in the box items from an abandoned restoration of a TR6 - I have a hood (top) with reflective stripe purchased from TRF.  If you are interested in an save you a few bucks as I have been holding onto this stuff way too long. 

  I also have a couple if tonneau covers, dash pads a carpet set, and some other trim pieces .. To be honest I don't know what all I have. 

  If anyone is looking for mostly non-mechanical parts let me know. 

Joe Simcoe (I haven't been on here in a LONG time)
[email-masked]

PS - I also have a new in box set of SU Carbs that I would like to part with. 

Sent from my iPad

** [email-masked] **

Archive: http://www.team.net/archive